Subject: Re: [PATCH 3/4] [Net] Support Xen accelerated network plugin modules

From: Andi Kleen <[email-masked]>
Date: 25 May 2007 08:53:12 +0200

Kieran Mansley <[email-masked]> writes:

> RCU on its own wouldn't
> prevent the accelerated plugin being unloaded while netfront was using
> one of the hooks. 

Note that module unload does always does a stop_machine() which is much 
stronger than normal RCU. As long as you don't sleep and cannot be preemptable
it should be always safe.

-Andi